%define name nant
%define version 0.85
%define fname %name-%version-src
%define rel 2

Summary: NAnt is a build tool for Mono and .NET
Name: %{name}
Version: %{version}
Release: %mkrel %rel
Epoch: 1
Source0: http://prdownloads.sourceforge.net/nant/%{fname}.tar.bz2
License: GPL
Group: Development/Other
Url: http://nant.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#gw required for mono.pc
Requires: mono-devel
BuildRequires: mono-devel
BuildArch: noarch

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%prep
%setup -q -n %name-%version
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
# remove DOS line endings
find doc -type f |xargs perl -pi -e "s/\r\n/\n/"

%build
#gw to find the log4net.dll
export MONO_PATH=`pwd`/lib
make prefix=/usr/

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
perl -pi -e "s%buildroot" %buildroot%_bindir/%name
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %buildroot%_datadir/NAnt/doc

# gw fix paths in the nant script
perl -pi -e "s^%_libdir/pkgconfig/../../bin^%_bindir^" %buildroot%_bindir/nant

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt doc/* examples
%_bindir/%name
%_datadir/NAnt/


%changelog
* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 0.85-2mdv2006.0
+ Revision: 65449
+ Status: not released
- fix startup script

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1:0.85-1mdv2007.1
+ Revision: 65387
- Import nant



* Sun Oct 15 2006 Gtz Waschk <waschk@mandriva.org> 0.85-1mdv2007.1
- unpack patch
- new version

* Fri Jun  2 2006 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc4.1mdv2007.0
- new version

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.20051203.1mdk
- drop merged patch 0
- fix build
- new version

* Wed Nov  9 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.4mdk
- fix build
- rebuild for new mono

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1:0.85-0.rc3.3mdk
- fix deps

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.2mdk
- patch to fix build with mono 1.1.7
- requires mono

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.1mdk
- fix build
- new version

* Mon Apr 18 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc2.2mdk
- Rebuild

* Fri Apr  1 2005 Gtz Waschk <waschk@linux-mandrake.com> 1:0.85-0.rc2.1mdk
- new version

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041021.1mdk
- new snapshot
- fix buildrequires

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041020.1mdk
- initial package
